DEF VAR iSeq AS INT NO-UNDO.
FOR EACH aa-container_sequence WHERE
         aa-container_sequence.sequencenr  = 0 :
  IF NOT CAN-FIND(aa-sequence WHERE aa-sequence.sequencecode = aa-container_sequence.companycode + "-container_sequence" )
  THEN DO:
      CREATE aa-sequence.
      ASSIGN aa-sequence.sequencecode = aa-container_sequence.companycode + "-container_sequence".
  END.
  FIND aa-sequence WHERE
       aa-sequence.sequencecode = aa-container_sequence.companycode + "-container_sequence"
       EXCLUSIVE-LOCK.
  ASSIGN iSeq = (IF aa-sequence.current_value <> ?
                          THEN aa-sequence.current_value
                          ELSE aa-sequence.initial_value).
  ASSIGN aa-sequence.previous_value = iSeq
         aa-sequence.current_value  = (IF (ABS(aa-sequence.previous_value)
                                         + ABS(aa-sequence.interval)) <=
                                           ABS(aa-sequence.limit) 
                                       THEN (aa-sequence.previous_value
                                           + aa-sequence.interval)
                                       ELSE (IF aa-sequence.cycle_at_limit
                                             THEN aa-sequence.initial_value
                                             ELSE ?)).
  aa-container_sequence.sequencenr   = iSeq.
END.
