{system/conversion/conversion_progress.i}

/*------------------------------------------------------------------------
  File: aa/conversion/13.02/aa-1302-after-01-attachmentnr.p
  Doel: Vullen attachmentnummer op Credieur records
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.
DEF VAR iModulo                       AS INT  NO-UNDO.

ASSIGN cProgram =  "aa-1302-after-01-attachmentnr.p"
		iModulo  =  1000.  /* om de 1000 records info tonen */.

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.


  DEFINE VARIABLE iAddressnr AS INTEGER     NO-UNDO.

  ASSIGN cAction  = "Vullen Crediteur attachmentnr."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  /* Even een hackje voor het niet bestaande attachmentnr terugdraaien. */
  DISABLE TRIGGERS FOR LOAD OF aa-creditor.
  DISABLE TRIGGERS FOR LOAD OF aa-debtor.
  
  FOR EACH sp-company NO-LOCK:

    FOR EACH aa-control  EXCLUSIVE 
      WHERE aa-control.controlcode BEGINS 'cr-attachmentnr-' 
                                     + sp-company.companycode
      TRANSACTION :
      
      iAddressnr = INTEGER(SUBSTRING(aa-control.controlcode
                                     ,1 + LENGTH('cr-attachmentnr-' + sp-company.companycode))).
      
      FIND aa-creditor EXCLUSIVE 
        WHERE aa-creditor.companycode = sp-company.companycode
          AND aa-creditor.addressnr   = iAddressnr 
        NO-ERROR.
      
      IF AVAILABLE aa-creditor
      THEN DO:
        aa-creditor.attachmentnr = INTEGER(aa-control.list).
      END.
      
      DELETE aa-control.

      iDone = iDone  + 1.
      IF iDone MODULO iModulo = 0 THEN 
	  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
      
    END.
    
    FOR EACH aa-creditor EXCLUSIVE WHERE aa-creditor.attachmentnr = 0 :
      iDone = iDone + 1.
      aa-creditor.attachmentnr = NEXT-VALUE(aa-attachment).
      IF iDone MODULO iModulo = 0 THEN 
	  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
      
    END.

    ASSIGN cAction  = "Vullen Crediteur attachmentnr."
           iDone    = 0.
    RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
    
    FOR EACH aa-debtor EXCLUSIVE WHERE aa-debtor.attachmentnr = 0:
      iDone = iDone + 1.
      aa-debtor.attachmentnr = NEXT-VALUE(aa-attachment).
      IF iDone MODULO iModulo = 0 THEN 
	  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
    END.
    
  END.

RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
