&ANALYZE-SUSPEND _VERSION-NUMBER UIB_v9r12
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS Procedure 
/* ********************** *****  Definitions  ************************** */

{system/include/sp-allobjects-def.i}.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE Procedure
&Scoped-define DB-AWARE no



/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME


/* ************************  Function Prototypes ********************** */

&IF DEFINED(EXCLUDE-spGetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD spGetEntry Procedure 
FUNCTION spGetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER )  FORWARD.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-spSetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD spSetEntry Procedure 
FUNCTION spSetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValue     AS CHARACTER,
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER )  FORWARD.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF


/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Procedure
   Allow: 
   Frames: 0
   Add Fields to: Neither
   Other Settings: CODE-ONLY
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
/* DESIGN Window definition (used by the UIB) 
  CREATE WINDOW Procedure ASSIGN
         HEIGHT             = 15
         WIDTH              = 60.
/* END WINDOW DEFINITION */
                                                                        */
&ANALYZE-RESUME

 


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK Procedure 


/* ***************************  Main Block  *************************** */


RUN finReport.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&IF DEFINED(EXCLUDE-finReport) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE finReport Procedure 
PROCEDURE finReport :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/

DEFINE BUFFER b-aa-fin_report FOR aa-fin_report.

FOR EACH sp-company NO-LOCK
  TRANSACTION:

  FIND b-aa-fin_report WHERE TRUE 
   AND b-aa-fin_report.companycode = sp-company.companycode
   AND b-aa-fin_report.applicatiekode = 'AA'
   AND b-aa-fin_report.modelkode = 'XFIN_DOSSIER'
   AND b-aa-fin_report.filename = 'AA\report\aa-fin_dossier-saldi-ledger.rpt'
   AND b-aa-fin_report.report_seqnr = 1
   EXCLUSIVE-LOCK NO-ERROR.

 IF NOT AVAILABLE b-aa-fin_report
 THEN CREATE b-aa-fin_report.

 ASSIGN 
          b-aa-fin_report.companycode = sp-company.companycode
          b-aa-fin_report.applicatiekode = 'AA'
          b-aa-fin_report.modelkode = 'XFIN_DOSSIER'
          b-aa-fin_report.filename = 'AA\report\aa-fin_dossier-saldi-ledger.rpt'
          b-aa-fin_report.des = 'Financial Files Balance Per Ledger'
          b-aa-fin_report.ExportQuery = 'ForceFields=cmbPayableStatus' + CHR(10) + 'ForceValues=N^B'
          b-aa-fin_report.text_objectnr = 0
          b-aa-fin_report.ind_inactive = no
          b-aa-fin_report.report_seqnr = 1
          .



  FIND b-aa-fin_report WHERE TRUE 
   AND b-aa-fin_report.companycode = sp-company.companycode
   AND b-aa-fin_report.applicatiekode = 'AA'
   AND b-aa-fin_report.modelkode = 'XFIN_DUN_CR'
   AND b-aa-fin_report.filename = 'AA\report\aa-fin_receivable-dun-cr.rpt'
   AND b-aa-fin_report.report_seqnr = 1
   EXCLUSIVE-LOCK NO-ERROR.

  IF NOT AVAILABLE b-aa-fin_report
  THEN CREATE b-aa-fin_report.

  ASSIGN 
    b-aa-fin_report.companycode = sp-company.companycode
    b-aa-fin_report.applicatiekode = 'AA'
    b-aa-fin_report.modelkode = 'XFIN_DUN_CR'
    b-aa-fin_report.filename = 'AA\report\aa-fin_receivable-dun-cr.rpt'
    b-aa-fin_report.des = 'Credit Invoice Reminder'
    b-aa-fin_report.text_objectnr = 26
    b-aa-fin_report.ind_inactive = no
    b-aa-fin_report.report_seqnr = 1
    .
  

END. /* each company */


END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

/* ************************  Function Implementations ***************** */

&IF DEFINED(EXCLUDE-spGetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION spGetEntry Procedure 
FUNCTION spGetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER ) :

  {System/include/sp-get-entry.i}.

END FUNCTION.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-spSetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION spSetEntry Procedure 
FUNCTION spSetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValue     AS CHARACTER,
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER ) :

  {System/include/sp-set-entry.i}.

END FUNCTION.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

