{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/10.03/aa-1003-after-01-aa-edi-schedule-comm.p
  Doel: aa-edi-schedule-comm records updaten met "juiste" schedulerid_code en comm_schedulerid_code. Eventueel overgebleven records (die niet zijn verwidjerd door verkeerde delete trigger alsnog verwijderen
        
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.

ASSIGN cProgram =  "aa-1003-after-03-aa-creditor_languagenr.p".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.



DO TRANSACTION:
  ASSIGN cAction  = "Vullen taal v/d crediteur."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  /* Vullen languagenr v/d crediteur. */
  FOR EACH aa-creditor
    WHERE aa-creditor.languagenr EQ 0 ,
    FIRST aa-address
    WHERE aa-address.addressnr EQ aa-creditor.addressnr
    EXCLUSIVE-LOCK :

    CASE aa-address.countrycode : 
      WHEN 'NL' OR
      WHEN 'BE' THEN aa-creditor.languagenr = 1 . /* Dutch */
      WHEN 'DE' THEN aa-creditor.languagenr = 2 . /* German */
      WHEN 'FR' THEN aa-creditor.languagenr = 4 . /* French */
      WHEN 'SP' OR 
      WHEN 'CU' THEN aa-creditor.languagenr = 5 . /* Spanish */
      OTHERWISE aa-creditor.languagenr = 3 . /* English */
    END CASE. /*-- WHEN  --*/

    iDone = iDone  + 1.
    RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

  END. /* FOR EACH aa-creditor */
END. /* TRANSACTION */


RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
