{system/conversion/conversion_progress.i}

/*------------------------------------------------------------------------
  File: aa/conversion/11.03/aa-1103-after-05-ind_processed.p
  Doel: Vul de nieuwe vat_countrycode velden t.b.v. betere Xref definities.
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.

ASSIGN cProgram =  "aa-1103-after-05-ind_processed.p".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.



  ASSIGN cAction  = "Fill ind_processed fields."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/

  FOR EACH sp-company NO-LOCK: 

    cAction  = "Fill processed country fields : Debtor Accounts : " + sp-company.companycode .

    DISABLE TRIGGERS FOR LOAD OF aa-fin_payable.
    
    FOR EACH aa-fin_payable EXCLUSIVE-LOCK
      WHERE aa-fin_payable.companycode     EQ sp-company.companycode
        AND aa-fin_payable.ind_processed   EQ NO
        AND aa-fin_payable.invoice_keynr   NE 0 :
      
      aa-fin_payable.ind_processed = YES .
      iDone = iDone  + 1.
      RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
      
    END.

    cAction  = "Fill processed country fields : Creditor Accounts : " + sp-company.companycode .

    DISABLE TRIGGERS FOR LOAD OF aa-fin_receivable.
    
    FOR EACH aa-fin_receivable EXCLUSIVE-LOCK
      WHERE aa-fin_receivable.companycode     EQ sp-company.companycode
        AND aa-fin_receivable.ind_processed   EQ NO
        AND aa-fin_receivable.invoice_keynr   NE 0 :
      
      aa-fin_receivable.ind_processed = YES .
      iDone = iDone  + 1.
      RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
      
    END.
    
  END. /* EACH COMPANY */
  

RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

