{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/12.03/aa-1203-after-01-fill-shortnames.p
  Doel: Conversie emailadressne naar nieuwe seperator CHR(10)
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR iLoop                         AS INTEGER   NO-UNDO.
DEF VAR cAddress                      AS CHARACTER NO-UNDO.
DEF VAR cAllAddresses                 AS CHARACTER NO-UNDO.

ASSIGN cProgram =  "aa-1203-after-01-fill-shortnames".
ASSIGN cAction  = "FILL NEW Shortname-fields IN debtor/creditor FOR SEARCH PERFORMANCE."
       iDone    = 0.
RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

DISABLE TRIGGERS FOR LOAD OF aa-debtor.

FOR EACH aa-debtor FIELDS (shortname) EXCLUSIVE 
  WHERE aa-debtor.shortname EQ '' ,
  FIRST aa-address FIELDS (shortname) NO-LOCK
  WHERE aa-address.addressnr EQ aa-debtor.addressnr 
  TRANSACTION :
  
  ASSIGN
    aa-debtor.shortname = aa-address.shortname.
  
  iDone = iDone  + 1.
  IF iDone MODULO 100 EQ 0 THEN
  RUN DisplayProgress (cProgram, cAction, 'aa-debtor'    , 0     , iDone).
  
END.

DISABLE TRIGGERS FOR LOAD OF aa-creditor.

FOR EACH aa-creditor FIELDS (shortname) EXCLUSIVE 
  WHERE aa-creditor.shortname EQ '' ,
  FIRST aa-address FIELDS (shortname) NO-LOCK
  WHERE aa-address.addressnr EQ aa-creditor.addressnr 
  TRANSACTION :
  
  ASSIGN
    aa-creditor.shortname = aa-address.shortname.
  
  iDone = iDone  + 1.
  IF iDone MODULO 100 EQ 0 THEN
  RUN DisplayProgress (cProgram, cAction, 'aa-creditor'    , 0     , iDone).
  
END.

RUN DisplayProgress (cProgram, cAction, ''    , iDone     , iDone).
